<?
session_start(); 
if($v==1){
include("stilos/config.inc.php");
  include("../clases/BDConexion.php");
  include("../clases/clsPer.php");
  include("funcion/funciones.php");
  include("Funciones.php");

  $objPer=new clsPer;
  function getTiempo() { 
        list($usec, $sec) = explode(" ",microtime()); 
        return ((float)$usec + (float)$sec); 
  } 
$TiempoInicial = getTiempo(); 
  }
  
  				$mess=substr($fecha1,3,2);
		  		$anio=substr($fecha1,6,4);
				$day="01";
				
				$mesess=$month;
				$anioss=$year;
				$diass=date(d);
				$ultimodia=date("t",mktime(0,0,0,$mesess,$diass,$anioss));
				$fecha1=$days1."-".$mesess."-".$anioss."<br>";
				$fecha2=$days."-".$mesess."-".$anioss;
?>
<table width="834" border="0">
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><div align="left">
	
      <table width="709" border="1" cellpadding="0" cellspacing="0" style="<?=$stylo['tabla']?>" bgcolor="<?=$c_fondo['fondo tabla']?>" bordercolor="<?=$bordetabla?>">
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <?
				
				
				$rspcp=$objPer->manpercarpesodispesoEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowpcp=$objPer->NextRow($rspcp);
				
				$rstipohora=$objPer->getConsolVuelosEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowtipohora=$objPer->NextRow($rstipohora);
								
				$rst=$objPer->getTransTarifaEmp($cod_emp); 
				$rowt=$objPer->NextRow($rst);				
					
				$rsthi=$objPer->getHoraIndisponibleEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$rowthi=$objPer->NextRow($rsthi);
				
				//$rowthi['horasv']."-".$rowthi['horastec'];
							
				
				?>
          <td width="174"><div align="center">Centros de costos </div></td>
          <? for($j=$days1;$j<=$days;$j++){?>
          <td width="189"><div align="center">
              <?=$j?>
          </div></td>
          <? }?>
          <td width="144"><div align="center">Horas por CC hh:mm</div></td>
          <td width="96"><div align="center">calculo del %</div></td>
          <td width="94"><div align="center">%</div>            </td>
          </tr>
        <?
				$n=0;
				
				$rscd=$objPer->manpercardiasTEmp($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				$totalfilas=$objPer->totalrows($rscd);
				while($rowcd=$objPer->NextRow($rscd)){
				$n++;
				$tothorascc1=0;
				$sumap=0;
				$sumahorav=0;
				$sumahorav1=0;
				?>
        <tr class="lblCampo">
          <td><div align="left">
              <?=$rowcd['ccosto']?>
          </div></td>
          <? for($i=$days1;$i<=$days;$i++){?>
          <td><div align="center">
              <?					
				  if($rowcd['ccosto']){
				  $tt1=0;
				  $rshd=$objPer->getHorasxDiaEmpRutaCod($cod_emp,$anioss."-".$mesess."-".$i);
				  while($rowhd=$objPer->NextRow($rshd)){
				  
				  $rspcdc=$objPer->manpercarpesodisccEmpRutaCod($cod_emp,$rowcd['ccosto'],$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
				  $rowpcdc=$objPer->NextRow($rspcdc);
				  
				  $rspcdt=$objPer->manpercarpesodishEmpRutaCod($cod_emp,$anioss."-".$mesess."-".$i,$rowhd['cod_ruta']);
				  $rowpcdt=$objPer->NextRow($rspcdt);
				  
				  $rstv=$objPer->manpercarHrsTecVolEmpRutaCod($cod_emp,extraerfechamysql($fecha1),extraerfechamysql($fecha2));
				  $rowtv=$objPer->NextRow($rstv);
				  			  	  
				  
				  if($rowpcdt['dispesototal']!=''){
					  if($rowpcdt['dispesototal']!=0){$dispercar=$rowpcdc['dispercar']; $dispesototal=$rowpcdt['dispesototal'];}else{$dispercar=1; $dispesototal=1;}	  
					  if($rowtipohora['tipohora']=='T'){ $tipoh=$rowhd['horastec'];$tipohora=$rowtv['horatec'];}else{$tipoh=$rowhd['horasvol']; $tipohora=$rowtv['horavol'];}
						  
						  if($rowcd['ccosto']==$rowpcdc['ccosto']){
						  $t=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
						  $tt1+=(($dispercar/$dispesototal)*$tipoh*60)."<br>";
						  $sumap+=$dispercar;
						  //$tothorascc1+=$tt1;			  
									
						  $tipohorasc=$tipohora;
						  $tothorascc1+=($t);				  
						  $dishpar[]=array($rowcd['ccosto'],$i,round($t));	
						 $horasdia[]=array($rowtrans['mat_trans'],$rowcd['ccosto'],$i,$t);					  
						
						  }
					 }else{
					 echo "&nbsp;";
					 }
					 }
					 		  $divisora=60;
							  $minutosa=60;
							  
							  $timeh=round($tt1,5);
							  $timeho=round($timeh/60,3);
							  $sumahorav+=round($timeh/60,3);
							  $sumahorav1+=round($timeh/60,4);
							  if($timeho>0){echo $timeho;}else{echo "&nbsp;";}
							  
							  $tminutosa=round($minutosa*$timeho);    
							  $cocientea=floor($tminutosa/$divisora);
							  
							  $restoa=$tminutosa%$divisora;
							  if($restoa<10){
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":0".$restoa;
								}
							  }else{
								if($cocientea.":0".$restoa!='0:00'){
									$cocientea.":".$restoa;
								}
							  }   
					}
					 
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
            <?
				  if($rowcd['ccosto']){
				  $hcc=round($tothorascc1)/60;
				  //echo $tothorascc1;
				  $timehpar=round(round($tothorascc1,1));
				  $timehopar=round($timehpar/60,2);
				  $porcentajepp=round($tothorascc1,2)/60;
				  $totalhoracol=round($tothorascc1,1);
				  
				   $porcentajepar=$porcentajepp;
				   
				   echo $sumahorav;				  
				  
				  	  $div=60;
					  $min=60;
					  
					  $tmin=round($min*$timehopar);    
					  $coci=floor($tmin/$div);
					  
					  $rest=$tmin%$div;
						  if($rest<10){
							if($coci.":0".$rest!='0:00'){
								$coci.":0".$rest;
							}
						  }else{
							if($coci.":0".$rest!='0:00'){
								$coci.":".$rest;
							}
						  }
				  $totalhoracole=$tothorascc1;
				  $totalhoracol1+=$totalhoracol;
				  $dish[]=array($rowcd['ccosto'],$hcc);
				  }
				  ?>
          </div></td>
          <td><div align="center">
            <?
		  $parcial=round(round(($tothorascc1/60),4),3);
		  round(($tothorascc1/60)/$tipohorasc,4);
		  round($timehopar/$tipohorasc,4);
		   $tothvol=round($tipohorasc,2)."<br>";
		   $sumahoravpar=round($sumahorav1,2)."<br>";
		   echo ($sumahoravpar/$tothvol)."<br>";
		  $parcialcal+=round($parcial/$tipohorasc,4);
		  ?>
          </div></td>
          <td><div align="center"> 
            <?
					
					
					//echo $porcentaje1=round((round($timehopar,2)/$tipohorasc)*100,1);
					//echo $porcentaje1=round((round(($tothorascc1/60)/$tipohorasc,4))*100,1);
					if($tothvol!=0){
					echo $porcentaje1=round(($sumahoravpar/$tothvol)*100,1);
					}else{
					echo "0";
					}
					$port+=$porcentaje1;				  
					$ss=round($sumap)."<br>";
					$sst=round($sumdispercar);			  
				  
				  ?>
          </div></td>
          </tr>
        <? }$objPer->Liberar($rscd);?>
        <tr class="lblCampoBlanco" bgcolor="<?=$c_fondo_tr["fondo tr"]?>">
          <td>Horas Facturables Totales </td>
          <? for($z=$days1;$z<=$days;$z++){?>
          <td><div align="center">
            <?
		    if(isset($horasdia)){
			$sumahourdia=0;
			foreach($horasdia as $indicehd=>$valuehd)
			{
				if($rowtrans['mat_trans']==$valuehd[0] && $z==$valuehd[2]){					
					$sumahourdia+=$valuehd[3];			
				}
			} 
				  
				  
				if($sumahourdia!=''){
					if($sumahourdia!=0){
				  	//echo calcular_horas_formato_inversa((round(round(round($sumahourdia,1))/60,2)));
							  $divisorat=60;
							  $minutosat=60;
							  
							  $timeht=round(round($sumahourdia,1));
							  $timehot=round($timeht/60,2);
							  
							  $tminutosat=round($minutosat*$timehot);    
							  $cocienteat=floor($tminutosat/$divisorat);
							  
							  $restoat=$tminutosat%$divisorat;
							  if($restoat<10){
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":0".$restoat;
								}
							  }else{
								if($cocienteat.":0".$restoat!='0:00'){
									echo $cocienteat.":".$restoat;
								}
							  }   
				  	$horaresumen[]=array($rowtrans['mat_trans'],$sumahourdia);
					$sumahourpt+=$sumahourp;
					}else{echo "&nbsp;";}
				}else{
					echo "&nbsp;";
				}
				}
				  ?>
          </div></td>
          <? }?>
          <td><div align="center">
            <?
				  echo calcular_horas_formato_inversa(round($totalhoracol1)/60);
				  ?>
/
<? //round(round($totalhoracol1)/60,2);
$cadena = explode(".",round(round($totalhoracol1)/60,4));
echo $cadena[0].".".substr($cadena[1],0,3);
?>
          </div></td>
          <td><div align="center"></div></td>
          <td><div align="center">
              <?
					//$tper
					echo number_format($port,2,'.','');
					?>
          </div></td>
          </tr>
      </table>
	 
    </div></td>
  </tr>
  <tr>
    <td><div align="center"></div></td>
  </tr>
</table>
<?
if($v==1){
$TiempoFinal = getTiempo(); 
$Tiempo = $TiempoFinal - $TiempoInicial; 
$Tiempo = round($Tiempo,6); 
echo "Esta pagina ha cargado en $Tiempo segundos.";  
}
//var_dump($dispax)."<br>";
//count($dispax);
?>
